#!/system/bin/sh
# Do NOT assume where your module will be located.
# ALWAYS use $MODDIR if you need to know where this script
# and module is placed.
# This will make sure your module will still work
# if Magisk change its mount point in the future
MODDIR=${0%/*}

# This script will be executed in late_start service mode

setenforce 0

FILE=/data/media/0/removerom
if [ -e $FILE ]; then
    rm -rf "$MODDIR/system"
	rm $FILE
	reboot
fi

FILE1=/data/media/0/removesystemui
if [ -e $FILE1 ]; then
    rm -rf "$MODDIR/system/priv-app/SystemUI"
	rm $FILE1
	reboot
fi

FILE2=/data/media/0/removeframework
if [ -e $FILE2 ]; then
    rm -rf "$MODDIR/system/framework"
	rm $FILE2
	reboot
fi
